OI Payments Docs
API ReferenceAdmin Reports

Summary

GET
/api/v1/admin/reports/summary

Query Parameters

from?string
to?string

Response Body

*/*

curl -X GET "https://example.com/api/v1/admin/reports/summary"
{
  "data": {
    "byApp": [
      {
        "applicationId": 0,
        "count": 0,
        "succeededCount": 0,
        "grossSucceededMinor": 0
      }
    ],
    "byDay": [
      {
        "date": "2019-08-24",
        "count": 0,
        "succeededCount": 0,
        "grossSucceededMinor": 0
      }
    ],
    "totalCount": 0,
    "succeededCount": 0,
    "grossSucceededMinor": 0,
    "successRate": 0.1
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}